my software is 10.6 and to download firefox, i need at least 10.9, how do i do this?

ive tried searching for os x, in the app store and the only thing popping up, is sierra, but it wont let install that either, ive also checked for software updates daily, and it says my software is up to date... HELP!!!

Follow this Question

No Answers have been submitted

Be the first to answer this question.  Answer now

Similar Questions

See more Similar Questions